# pyfabrik

![Badge showing number of total downloads from PyPI.](https://pepy.tech/badge/pyfabrik)

![Badge showing number of monthly downloads from PyPI.](https://pepy.tech/badge/pyfabrik/month)

![Badge showing that code has been formated with Black formatter.](https://img.shields.io/badge/code%20style-black-000000.svg)

Python 3 implementation of
[FABRIK](http://www.andreasaristidou.com/FABRIK.html) (Forward And
Backward Reaching Inverse Kinematics).
## Installation

    pip install pyfabrik

## Goal
![Inverse kinematics example with human skeleton.](http://www.andreasaristidou.com/publications/images/FABRIC_gif_1.gif)

## Roadmap

- [x] Basic 2D (flat chain)
- [x] Basic 3D (flat chain)
- [ ] 3D testing sandbox
- [ ] Basic 2D joint movement restrictions
- [ ] Basic 3D joint movement restrictions
- [ ] Complex chain support 2D
- [ ] Complex chain support 3D

## Contributing

__All contributions are appreciated.__

You can find almost everything you need in the [paper](http://www.andreasaristidou.com/publications/papers/FABRIK.pdf).
On FABRIKs [homepage](http://www.andreasaristidou.com/FABRIK.html) you can find examples and links to other implementations.

## License
[GNU GENERAL PUBLIC LICENSE Version 3](./LICENSE)
